Returns the cursor type used by a statement resource

- « db2_connect

- db2_escape_string »

- PHP Manual
- IBM DB2 Functions
- Returns the cursor type used by a statement resource

# db2_cursor_type

(PECL ibm_db2 >= 1.0.0)

db2_cursor_type — Returns the cursor type used by a statement resource

### Description

db2_cursor_type(resource `$stmt`): int

Returns the cursor type used by a statement resource. Use this to determine if you are working with a forward-only cursor or scrollable cursor.

### Parameters

`stmt`

  A valid statement resource.

### Return Values

Returns either `DB2_FORWARD_ONLY` if the statement resource uses a forward-only cursor or `DB2_SCROLLABLE` if the statement resource uses a scrollable cursor.

### See Also

- db2_prepare() - Prepares an SQL statement to be executed